Subject: Re: Complete ccsr map for mpc8540 available?

From: Clemens Koller <[email-masked]>
Date: Tue, 31 May 2005 18:17:39 +0200

Hello, Kumar!

 > > [...]
> Yes, that was my thinking.  You can grab just the lbc bits and put them 
> in immap_85xx.h and do the same ioremap thing we do for pci in 
> arch/ppc/syslib/ppc85xx_setup.c.

Yes, ioremap() and ioremap_nocache() works fine.
I just try to get the maximum speed out of the Local Bus Mapped dual port
SRAM in our FPGA.

>> I can release my stuff, if anybody is interested... no problem.
>> The LBC part is verified (some others are dummys and untested) and in
>> a /works for me/ state.
> 
> It sounds like this is custom to your board so I wouldn't bother 
> releasing it out unless it something you want to get into the standard 
> kernel tree.

Well, the immr is good for every mpc8540 and the other friends you know.
(more than me)

Greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19